Subject: Re: [PATCH net] net: stmmac: xgmac: fix safety error descriptions

From: Simon Horman <[email-masked]>
Date: Tue, 23 Jan 2024 19:50:46 +0000

On Tue, Jan 23, 2024 at 04:50:37PM +0800, Furong Xu wrote:
> Commit 56e58d6c8a56 ("net: stmmac: Implement Safety Features in
> XGMAC core") prints safety error descriptions when safety error assert,
> but missed some special errors, and mixed correctable errors and
> uncorrectable errors together.
> This patch complete the error code list and print the type of errors.
> 
> Fixes: 56e58d6c8a56 ("net: stmmac: Implement Safety Features in XGMAC core")
> Signed-off-by: Furong Xu <[email-masked]>

I'm not entirely sure this is a fix rather than an enhancement.
But the code change itself looks good to me.

Reviewed-by: Simon Horman <[email-masked]>